# TrailingStopTrigger

### Description

Validates trailing stop, caller injects a chainlink roundId where conditions are met

> **Notes**
>
> Given the currentPrice and the maxPrice see if there diff. > than percentage

### Trigger ID

`0x818774c3`

### SDK Action

```ts
const trailingStopTrigger = new dfs.triggers.TrailingStopTrigger(
    tokenAddr,
    percentage,
    roundId
);
```

### Subscription Parameters

```solidity
/// @param tokenAddr address of the token
/// @param percentage percentage of the price that represents the triggerable point
/// @param startRoundId start round id of the token
struct SubParams {
    address tokenAddr;
    uint256 percentage;
    uint80 startRoundId;
}
```

### Calldata Parameters

```solidity
/// @param maxRoundId max round id of the token
struct CallParams {
    uint80 maxRoundId;
}
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/utils/trailingstoptrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
